## ruby-multi-test 0.1.1

=== Makefile ===
GEMFILES=$(shell ls ./gemfiles/**/Gemfile)

all: 
	./test/all

clean:
	rm -f gemfiles/**/*.lock

=== debian/changelog ===
ruby-multi-test (0.1.1-1) unstable; urgency=medium

  * Initial release

 -- Cédric Boutillier <boutil@debian.org>  Sun, 20 Apr 2014 15:29:02 +0200

=== debian/control ===
Source: ruby-multi-test
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.7.5~)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-multi-test.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-multi-test.git;a=summary
Homepage: http://cukes.info
XS-Ruby-Versions: all

Package: ruby-multi-test
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Suggests: ruby-rspec, ruby-test-unit, ruby-minitest
Description: library to control autorun feature of test frameworks
 This library provides a uniform interface onto whatever testing library has
 been loaded into a running Ruby process. It can be used for example to
 deactivate the autorun feature of those testing frameworks in a unified way.
 Supported test frameworks are RSpec, test/unit, and minitest.
 .
 It is used to run the test suite of the cucumber package.

## ruby-multi-test 0.1.2

=== debian/changelog ===
ruby-multi-test (0.1.2-2) unstable; urgency=medium

  * Team upload.

  [ Cédric Boutillier ]
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Apply multi-arch hints.
    + ruby-multi-test: Add :any qualifier for ruby dependency.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 07 Aug 2025 11:22:14 +0000

ruby-multi-test (0.1.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:22:33 +0200

ruby-multi-test (0.1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update packaging with a new dh-make-ruby run

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 29 Oct 2015 17:37:01 -0200

=== debian/control ===
Source: ruby-multi-test
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>
Build-Depends: debhelper-compat (= 12),
               gem2deb
Standards-Version: 3.9.7
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-multi-test.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-multi-test
Homepage: http://cukes.info
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-multi-test
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby:any | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ruby-minitest,
          ruby-rspec,
          ruby-test-unit
Description: library to control autorun feature of test frameworks
 This library provides a uniform interface onto whatever testing library has
 been loaded into a running Ruby process. It can be used for example to
 deactivate the autorun feature of those testing frameworks in a unified way.
 Supported test frameworks are RSpec, test/unit, and minitest.
 .
 It is used to run the test suite of the cucumber package.

## ruby-multi-test 1.1.0

=== debian/changelog ===
ruby-multi-test (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * Use gemwatch.debian.net in watch.
  * New upstream release.
  * Drop {XS,XB}-Ruby-Versions from control.
  * Use ${ruby:Depends} for runtime dependencies.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 31 Oct 2025 15:47:22 -0500

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,15 @@
 Uploaders: Cédric Boutillier <boutil@debian.org>
 Build-Depends: debhelper-compat (= 12),
                gem2deb
-Standards-Version: 3.9.7
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-multi-test.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-multi-test
 Homepage: http://cukes.info
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 
 Package: ruby-multi-test
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby:any | ruby-interpreter,
+Depends: ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: ruby-minitest,

=== debian/watch ===
version=4
https://gemwatch.debian.net/multi_test .*/multi_test-(.*).tar.gz
